Package org.springframework.cglib.core

# Class MethodInfo

java.lang.Object
org.springframework.cglib.core.MethodInfo

public abstract class MethodInfo extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MethodInfo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`abstract ClassInfo`
`getClassInfo()`
`abstract Type[]`
`getExceptionTypes()`
`abstract int`
`getModifiers()`
`abstract Signature`
`getSignature()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MethodInfo

protected MethodInfo()

## Method Details

### getClassInfo

public abstract ClassInfo getClassInfo()

### getModifiers

public abstract int getModifiers()

### getSignature

public abstract Signature getSignature()

### getExceptionTypes

public abstract Type[] getExceptionTypes()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`